From e7cf4eb589230f71822e642cc9b9636de2f48457 Mon Sep 17 00:00:00 2001
From: zengh <123456>
Date: Thu, 24 Nov 2022 13:54:54 +0800
Subject: [PATCH] 1

---
 public/libs/Cesium/Widgets/Geocoder/Geocoder.css |   78 +++++++++++++++++++++++++++++++++++++++
 1 files changed, 78 insertions(+), 0 deletions(-)

diff --git a/public/libs/Cesium/Widgets/Geocoder/Geocoder.css b/public/libs/Cesium/Widgets/Geocoder/Geocoder.css
new file mode 100644
index 0000000..3e94d84
--- /dev/null
+++ b/public/libs/Cesium/Widgets/Geocoder/Geocoder.css
@@ -0,0 +1,78 @@
+.cesium-viewer-geocoderContainer .cesium-geocoder-input {
+    border: solid 1px #444;
+    background-color: rgba(40, 40, 40, 0.7);
+    color: white;
+    display: inline-block;
+    vertical-align: middle;
+    width: 0;
+    height: 32px;
+    margin: 0;
+    padding: 0 32px 0 0;
+    border-radius: 0;
+    box-sizing: border-box;
+    transition: width ease-in-out 0.25s, background-color 0.2s ease-in-out;
+    -webkit-appearance: none;
+}
+
+.cesium-viewer-geocoderContainer:hover .cesium-geocoder-input {
+    border-color: #aef;
+    box-shadow: 0 0 8px #fff;
+}
+
+.cesium-viewer-geocoderContainer .cesium-geocoder-input:focus {
+    border-color: #ea4;
+    background-color: rgba(15, 15, 15, 0.9);
+    box-shadow: none;
+    outline: none;
+}
+
+.cesium-viewer-geocoderContainer:hover .cesium-geocoder-input,
+.cesium-viewer-geocoderContainer .cesium-geocoder-input:focus,
+.cesium-viewer-geocoderContainer .cesium-geocoder-input-wide {
+    padding-left: 4px;
+    width: 250px;
+}
+
+.cesium-viewer-geocoderContainer .search-results {
+    position: absolute;
+    background-color: #000;
+    color: #eee;
+    overflow-y: auto;
+    opacity: 0.8;
+    width: 100%;
+}
+
+.cesium-viewer-geocoderContainer .search-results ul {
+    list-style-type: none;
+    margin: 0;
+    padding: 0;
+}
+
+.cesium-viewer-geocoderContainer .search-results ul li {
+    font-size: 14px;
+    padding: 3px 10px;
+}
+.cesium-viewer-geocoderContainer .search-results ul li:hover {
+    cursor: pointer;
+}
+
+.cesium-viewer-geocoderContainer .search-results ul li.active {
+    background: #48b;
+}
+
+.cesium-geocoder-searchButton {
+    background-color: #303336;
+    display: inline-block;
+    position: absolute;
+    cursor: pointer;
+    width: 32px;
+    top: 1px;
+    right: 1px;
+    height: 30px;
+    vertical-align: middle;
+    fill: #edffff;
+}
+
+.cesium-geocoder-searchButton:hover {
+    background-color: #48b;
+}

--
Gitblit v1.9.3